"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getMutators = exports.mutators = exports.VariableDeclarationListMutator = exports.TypeAliasDeclarationMutator = exports.SourceFileMutator = exports.InterfaceDeclarationMutator = exports.FunctionExpressionMutator = exports.FunctionDeclarationMutator = exports.ClassDeclarationMutator = exports.BlockLikeMutator = exports.BinaryExpressionMutator = exports.AsExpressionMutator = exports.ArrowFunctionMutator = exports.Mutator = void 0;
var Mutator_1 = require("./mutators/Mutator");
Object.defineProperty(exports, "Mutator", { enumerable: true, get: function () { return Mutator_1.Mutator; } });
var ArrowFunctionMutator_1 = require("./mutators/ArrowFunctionMutator");
Object.defineProperty(exports, "ArrowFunctionMutator", { enumerable: true, get: function () { return ArrowFunctionMutator_1.ArrowFunctionMutator; } });
var AsExpressionMutator_1 = require("./mutators/AsExpressionMutator");
Object.defineProperty(exports, "AsExpressionMutator", { enumerable: true, get: function () { return AsExpressionMutator_1.AsExpressionMutator; } });
var BinaryExpressionMutator_1 = require("./mutators/BinaryExpressionMutator");
Object.defineProperty(exports, "BinaryExpressionMutator", { enumerable: true, get: function () { return BinaryExpressionMutator_1.BinaryExpressionMutator; } });
var BlockLikeMutator_1 = require("./mutators/BlockLikeMutator");
Object.defineProperty(exports, "BlockLikeMutator", { enumerable: true, get: function () { return BlockLikeMutator_1.BlockLikeMutator; } });
var ClassDeclarationMutator_1 = require("./mutators/ClassDeclarationMutator");
Object.defineProperty(exports, "ClassDeclarationMutator", { enumerable: true, get: function () { return ClassDeclarationMutator_1.ClassDeclarationMutator; } });
var FunctionDeclarationMutator_1 = require("./mutators/FunctionDeclarationMutator");
Object.defineProperty(exports, "FunctionDeclarationMutator", { enumerable: true, get: function () { return FunctionDeclarationMutator_1.FunctionDeclarationMutator; } });
var FunctionExpressionMutator_1 = require("./mutators/FunctionExpressionMutator");
Object.defineProperty(exports, "FunctionExpressionMutator", { enumerable: true, get: function () { return FunctionExpressionMutator_1.FunctionExpressionMutator; } });
var InterfaceDeclararionMutator_1 = require("./mutators/InterfaceDeclararionMutator");
Object.defineProperty(exports, "InterfaceDeclarationMutator", { enumerable: true, get: function () { return InterfaceDeclararionMutator_1.InterfaceDeclarationMutator; } });
var SourceFileMutator_1 = require("./mutators/SourceFileMutator");
Object.defineProperty(exports, "SourceFileMutator", { enumerable: true, get: function () { return SourceFileMutator_1.SourceFileMutator; } });
var TypeAliasDeclararionMutator_1 = require("./mutators/TypeAliasDeclararionMutator");
Object.defineProperty(exports, "TypeAliasDeclarationMutator", { enumerable: true, get: function () { return TypeAliasDeclararionMutator_1.TypeAliasDeclarationMutator; } });
var VariableDeclarationListMutator_1 = require("./mutators/VariableDeclarationListMutator");
Object.defineProperty(exports, "VariableDeclarationListMutator", { enumerable: true, get: function () { return VariableDeclarationListMutator_1.VariableDeclarationListMutator; } });
exports.mutators = [
    ArrowFunctionMutator_1.ArrowFunctionMutator,
    AsExpressionMutator_1.AsExpressionMutator,
    BinaryExpressionMutator_1.BinaryExpressionMutator,
    BlockLikeMutator_1.BlockLikeMutator,
    ClassDeclarationMutator_1.ClassDeclarationMutator,
    FunctionDeclarationMutator_1.FunctionDeclarationMutator,
    FunctionExpressionMutator_1.FunctionExpressionMutator,
    InterfaceDeclararionMutator_1.InterfaceDeclarationMutator,
    SourceFileMutator_1.SourceFileMutator,
    TypeAliasDeclararionMutator_1.TypeAliasDeclarationMutator,
    VariableDeclarationListMutator_1.VariableDeclarationListMutator,
];
function getMutators() {
    var instances = [];
    for (var _i = 0, mutators_1 = exports.mutators; _i < mutators_1.length; _i++) {
        var mutator = mutators_1[_i];
        instances.push(new mutator());
    }
    return instances;
}
exports.getMutators = getMutators;
